diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
index 4ede14e..a9aa852 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/templates/exclusion_constraint/js/exclusion_constraint.js
@@ -200,7 +200,18 @@ function($, _, S, pgAdmin, pgBrowser, Alertify) {
           }
         })
       }
-    ]
+    ],
+    validate: function() {
+      this.errorModel.clear();
+      var operator = this.get('operator'),
+        column_name = this.get('column');
+      if (_.isUndefined(operator) || _.isNull(operator)) {
+        var msg = '{{ _('Please specify operator for column:- ') }}' + column_name;
+        this.errorModel.set('operator', msg);
+        return msg;
+      }
+      return null;
+    }
   });
 
   var ExclusionConstraintColumnControl =  Backform.ExclusionConstraintColumnControl =
